aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/tox.sh
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/bash/entry/tox.sh')
-rwxr-xr-xresources/libraries/bash/entry/tox.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/resources/libraries/bash/entry/tox.sh b/resources/libraries/bash/entry/tox.sh
index 82b7ef5307..22dfdfe05f 100755
--- a/resources/libraries/bash/entry/tox.sh
+++ b/resources/libraries/bash/entry/tox.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -29,4 +29,12 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
common_dirs || die
cd "${CSIT_DIR}" || die
activate_virtualenv "${CSIT_DIR}" "${CSIT_DIR}/tox-requirements.txt" || die
-tox # Return code is turned into Jenkins job vote.
+set +e
+# Verbosity is increased so console output shows any unwanted downloads.
+tox -vv
+TOX_EXIT_STATUS="$?"
+set -e
+mkdir -p "${CSIT_DIR}/archives" || die
+mv *.log "${CSIT_DIR}/archives" || die
+
+exit "${TOX_EXIT_STATUS}"